Name:           perl-Crypt-Simple
Version:        0.06
Release:        4%{?dist}
Summary:        Encrypt stuff simply 

Group:          Development/Libraries
License:        GPL
URL:            http://search.cpan.org/dist/Crypt-Simple/
Source0:        http://search.cpan.org/CPAN/authors/id/K/KA/KASEI/Crypt-Simple-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch

%if "%fedora" > "6"
BuildRequires:  perl perl-Crypt-Blowfish perl-FreezeThaw perl-Compress-Zlib
BuildRequires:  perl-ExtUtils-MakeMaker perl-Test-Simple
%endif

%if "%fedora" == "6"
BuildRequires:  perl perl-Crypt-Blowfish perl-FreezeThaw perl-Compress-Zlib
%endif

Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This little module will convert all your data into nice base64 text that
you can save in a text file, send in an email, store in a cookie or web
page, or bounce around the Net. The data you encrypt can be as simple or
as complicated as you like.

%prep
%setup -q -n Crypt-Simple-%{version}


%build
# Remove OPTIMIZE=... from noarch packages (unneeded)
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
# Remove the next line from noarch packages (unneeded)
#find $RPM_BUILD_ROOT -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%check
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README
# For noarch packages: vendorlib
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*


%changelog

* Mon Jul 9 2007 Allisson Azevedo <allisson@gmail.com> 0.06-4
- Add exception for FC-6

* Mon Jun 25 2007 Allisson Azevedo <allisson@gmail.com> 0.06-3
- Remove perl-Test-Simple and perl-ExtUtils-MakeMaker

* Sat Jun 23 2007 Allisson Azevedo <allisson@gmail.com> 0.06-2
- Add missing buildrequires

* Mon Jun 11 2007 Allisson Azevedo <allisson@gmail.com> 0.06-1
- Initial RPM release
